/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {FloorRequest} from "./floorRequest";
import {FloorPlanRequest} from "./floorPlanRequest";
import {ZoneRequest} from "./zoneRequest";
import {WorkerRequest} from "./workerRequest";
import {SubContractorRequest} from "./subContractorRequest";
import {TagRequest} from "./tagRequest";
import {CoordRequest} from "./coordRequest";

export class PositionRequest {
    public floor: FloorRequest;

    public floorPlan: FloorPlanRequest;

    public zone: ZoneRequest;

    public worker: WorkerRequest;

    public subContractor: SubContractorRequest;

    public tag: TagRequest;

    public projectId: string;

    public position: CoordRequest;

    public unixTicks: number;

    /**
     * Creates a PositionRequest.
     *
     * @param {FloorRequest} floor
     * @param {FloorPlanRequest} floorPlan
     * @param {ZoneRequest} zone
     * @param {WorkerRequest} worker
     * @param {SubContractorRequest} subContractor
     * @param {TagRequest} tag
     * @param {string} projectId
     * @param {CoordRequest} position
     * @param {number} unixTicks
     */
    constructor(floor: FloorRequest, floorPlan: FloorPlanRequest, zone: ZoneRequest, worker: WorkerRequest, subContractor: SubContractorRequest, tag: TagRequest, projectId: string, position: CoordRequest, unixTicks: number) {
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.zone = zone;
        this.worker = worker;
        this.subContractor = subContractor;
        this.tag = tag;
        this.projectId = projectId;
        this.position = position;
        this.unixTicks = unixTicks;
    }
}
